Summary: BLT widget extension to Tcl/Tk scripting language development
Name: blt
Version: 2.4
Release: 0.fdr.10.z.2
Epoch: 0
License: MIT
Group: Development/Libraries
Source: http://download.sourceforge.net/blt/BLT2.4z.tar.gz
Patch0: http://download.sourceforge.net/blt/blt2.4z-patch-2
Patch1: http://jfontain.free.fr/blt2.4z-patch-64
URL: http://sourceforge.net/projects/blt/
BuildRequires: XFree86-devel >= 0:4, tk >= 0:8.3.1
# work around tcl-devel and tk-devel packages non existence in RH 8.0 and 9:
BuildRequires: %{_includedir}/tk.h, %{_includedir}/tcl.h
Requires: tk >= 0:8.3.1
BuildRoot: %_tmppath/%name-%version-%release-root-%(%__id_u -n)

%description
BLT is a very powerful extension to Tk. It adds plotting widgets
(graph, barchart and stripchart), hierarchy tree and table, tab
notebook, table geometry manager, vector, background program
execution, busy utility, eps canvas item, drag and drop facility,
bitmap command and miscellaneous commands.
Note: this version is stubs enabled and therefore should be compatible
with Tcl/Tk versions after and including 8.3.1.

%prep
%setup -q -n %name%{version}z
%patch0 -p1
%patch1 -p1

%build
%configure --with-tcl=%_libdir --with-tk=%_libdir
cd src/shared
%__make SHLIB_LD_FLAGS=-shared # no _smp_mflags; race conditions.

%install
rm -rf $RPM_BUILD_ROOT
DIRECTORY=$RPM_BUILD_ROOT%_libdir/%name%version
install -d $DIRECTORY
install -m 755 -p src/shared/libBLT24.so src/shared/libBLTlite24.so $DIRECTORY
install -m 644 -p library/*.{pro,tcl,xbm} library/tclIndex $DIRECTORY
echo 'package ifneeded BLT 2.4 "if {[llength [info commands tk]] > 0} {load [file join $dir libBLT24.so]} else {load [file join $dir libBLTlite24.so] BLT}"' > $DIRECTORY/pkgIndex.tcl
cp -p -r library/dd_protocols $DIRECTORY
rm -f html/Makefile.vc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL PROBLEMS html/
%_libdir/%name%{version}

%changelog

* Fri Nov 5 2004 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.10.z
- added patch to allow building on 64 bit architectures
- use %libdir instead of %prefix in configure for the same reason

* Tue Nov 16 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.9.z
- in build requirements, work around tcl-devel and tk-devel packages non
  existence in RH 8.0 and 9

* Wed Nov 7 2003 Ville Skyttä <ville.skytta at iki.fi> 0:2.4-0.fdr.8.z
- disabled %%_smp_mflags in make stage
- escaped percent characters in change log

* Tue Nov 5 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.7.z
- in installation stage, removed some leftover copies in parent
  directory which left dirt in BUILD directory

* Tue Nov 4 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.6.z
- changed release tag from 0.fdr.0.X.z to 0.fdr.X.z as this is a post
  release
- use "download.sourceforge.net/..." instead of
  "prdownloads.sourceforge.net/..." to make URLs directly downloadable
- removed AutoReqProv
- used "%%setup -q -n ..." to remove unnecessary cd's.
- no longer override $RPM_OPT_FLAGS
- used %%_prefix instead of %%_usr
- added -p argument to install and cp to preserve timestamps
- replaced %%__cp and %%__install by cp and install
- fixed URL to point to sourceforge project page as homepage is empty
- no longer use RPM_OPT_FLAGS in CFLAGS as make argument as %%configure
  already handles it

* Tue Nov 1 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.5.z
- removed RCS line
- set Epoch to 0 and removed it from Release
- used a full macroless URL to the source tarball and patches
- removed Packager (not used in Fedora)
- used rm instead of %%__rm macro
- used SMP flags in make stage

* Tue Oct 22 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.4-0.fdr.4.z
- checked with rpmlint and improved accordingly.
